package application

import (
	"sirlab.de/go/knyt/applicationConfig"
	"sirlab.de/go/knyt/game"
	"sirlab.de/go/knyt/user"
)

func NewApplication(config applicationConfig.ApplicationConfig) (*Application, error) {
	app := Application{
		config: config,
		users:  make(map[string]*user.User),
		games:  make(map[string]*game.Game),
	}

	if err := app.loadUsers(); err != nil {
		return nil, err
	}
	if err := app.loadGames(); err != nil {
		return nil, err
	}

	return &app, nil
}
